Skip to main content
GET
/
v1
/
phone-numbers
List owned phone numbers
curl --request GET \
  --url https://api.revdesk.com/v1/phone-numbers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "phone_number": "<string>",
      "name": "<string>",
      "team_id": 123,
      "user_id": 123,
      "provider": "<string>",
      "is_active": true,
      "iso_country": "<string>",
      "reputation_enrolled_at": "<string>",
      "created_at": "<string>"
    }
  ],
  "meta": {
    "page_size": 123,
    "cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.revdesk.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

team_id
integer
Required range: -9007199254740991 <= x <= 9007199254740991
limit
integer
default:50
required
Required range: 1 <= x <= 100
cursor
string

Response

Success

data
object[]
required
meta
object
required